Subject: A new clamping "device"

From: [email-masked] (Jon Anderson)
Date: 24 Sep 1996 14:21:51 GMT

Ran across something I thought might be usefull to many here.

It's a new clamping product from Mitee Bite. It's a .0005 thick holding media
imbedded both sides with a heat activated adhesive. A sheet is cut to the size 
of what you want to clamp, leaving about a 1/4" border all around.
The material is placed between the work piece and a sub-plate, lightly clamped, 
then heated to 180-200 degrees. Cool with water or air, and you are ready to
machine. To release, just re-heat. It will hold to approx 40 lb/sq. in.
Comes in rolls, the smaller size is 1x5 foot and sells for $32.
Mitee Bite can be reached at 800-543-3580.

I called, and two days later had a flyer with a 1x2" sample, which I will test in
the next day or so, and report back.

I have no connection with Mitee Bite whatever, just thought that this product 
would certainly help some folks out.

 Jon Anderson